.TH ligatex 1 "22. November 2000" "Version 0.2.0"
.SH NAME
ligatex
\- ligatex
.SH SYNOPSIS
\fBligatex\fP [\fB--version --help\fP]
.SH DESCRIPTION
.PP
Ligatex  Version 0.2.0

The programme ligatex converts texts that are written for use with the layout
system TeX in such a way that ligatures are removed from certain places. The
programm currently only treats texts written in German. Thus this programme is
probably only of interest to you if you have some knowledge of the German 
language. Therefore the rest of this documentation is only available in German.
However, the author welcomes additions to ligatex in order to make it usable 
with any language. For this purpose the file ligatex.l should be edited.

Das Programm Ligatex hebt in Texten, die fr Verwendung mit dem Textsatzsystem 
TeX geschrieben sind, an Stellen wo sie nicht hingehren, Ligaturen auf.
Es greift dazu auf einen wrterbuchbasierten Ansatz zurck und kann daher nur 
fr Texte, die auf Deutsch verfat sind, sinnvoll verwandt werden. Eine 
Anpassung fr andere Sprachen kann durch Ersatz der Datei ligatex.l erfolgen.
Der Autor wrde sich ber solche Anpassungen freuen, sowie ber Fehlermeldungen
zur vorliegenden deutschen Version.

.SH Handhabung

Das Programm liest Text von der Standardeingabe und schreibt konvertierten Text
an die Standardausgabe:

Durch den Aufruf

ligatex < rein.tex > raus.tex

erhlt man die vernderte Version raus.tex. Die Originalversion
rein.tex wird nicht verndert. raus.tex kann ohne Fehler zu
verursachen wieder prozessiert werden.

ligatex < raus.tex > raus2.tex

raus.tex und raus2.tex sollten identisch sein, falls raus.tex nicht
verndert wurde.

.SH LaTeX

Die Verwendung von german.sty oder babel.sty wird vorausgesetzt.
LaTeX 2.09 wird nicht untersttzt.
Die Datei wird erst ab \\begin{document} auf Ligaturen untersucht.
Dateien, denen diese Zeile fehlt, knnen mittels

%\\begin{ligatex}

Text mit Ligaturen.

%\\end{ligatex}

dennoch berprft werden. Die Anzahl der Prozentzeichen ist beliebig.
Nach einem %\\end{ligatex} wird bis zum nchsten %\\begin{ligatex} 
kein Text auf Ligaturen untersucht. Dadurch knnen auch verbatim-Umgebungen 
mit LaTeX-Quelltext im Dokument enthalten sein:

%\\end{ligatex}

\\begin{verbatim}

LaTeX-Text

\\end{verbatim}

%\\begin{ligatex}

Vor den Schaltern fr die Pseudo-Umgebung ligatex darf kein Text in der
Zeile stehen. Sie mssen nicht paarig auftreten.

.SH German.sty

Neben german.sty wird auch ngerman.sty (die flasche Rechtschreibung)
untersttzt.

.SH Babel.sty

Bei Verwendung von babel.sty bestimmt die Reihenfolge, in der die 
Sprachdefinitionen geladen werden, die am Anfang des Dokumentes
aktive Sprache. \fPLigaTeX\fP kann diese aber nur dann feststellen,
wenn Sie die Syntax

\\usepackage[sprach1,sprache2,german,sprache3]{babel}

verwenden. Schreiben Sie
 
\\documentclass[option1,option2,sprache1,german,weitere,optionen]{book}

kann \fPLigaTeX\fP weiter Sprachen nicht zuverlssig von weiteren Optionen
unterscheiden und bleibt daher am Dokumentanfang inaktiv,

Neben der Option german werden auch die Optionen austrian, 
ngerman und naustrian untersttzt.

Das Makro \\foreignlanguage wird untersttzt.

.SH Eigene Definitionen

Sie knnen Makros definieren, deren Name verndert wrde, z.B.
\\auflage, dies gilt auch fr Umgebungen aber nicht fr Pakete.

.SH Text-Kodierung

Der Text kann  in \fPLatin-1\fP, \fPTeX\fP oder 
\fPHTML\fP kodiert sein. Das Programm stellt dies selbstttig fest und gibt 
entsprechend kodierten Text wieder aus. 
HTML-Dateien werden immer prozessiert.

.SH Caveat

Verbatim-Umgebungen, die LaTeX-Text enthalten, 
drften fr Verwirrung sorgen. Abhilfe schafft die 
Pseudo-Umgebung ligatex.


.SH Bugs

Der Autor bitte um Mithilfe bei der Beseitigung von Fehlern und der 
Implementierung etwaiger fehlender Funktionen.

.SH AUTOR

Gerhard Killesreiter, killesreiter@physik.uni-freiburg.de
